.parentSearch {
  position: relative;
  height: 100%;

  .search {
    max-width: 30rem;
    height: 100%;
    background-color: transparent;
  }

  .dropdown {
    position: absolute;
    overflow: hidden;
    top: -1rem;
    right: calc(-1rem + 4px);
    left: calc(-1rem + 4px);
    opacity: 0;
    visibility: hidden;
    transition: opacity 100ms ease-in-out, visibility 100ms 1ms;
    border-radius: 0 0 10px 10px;

    &.open {
      visibility: visible;
      opacity: 1;
      transition: opacity 100ms ease-in-out;
    }

    .dropdownItem {
      margin-top: 0.5rem;
      border-radius: 0;
    }

    .dropdownItem:last-child {
      margin-bottom: 0.5rem;
    }
  }
}

.parentDropdown {
  position: relative;
  width: 100%;

  .dropdown {
    position: absolute;
    top: 100%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 100ms ease-in-out, visibility 100ms 1ms;
    right: 0;
    width: 100%;
    border-radius: 0 0 10px 10px;

    &.open {
      visibility: visible;
      opacity: 1;
      transition: opacity 100ms ease-in-out;
    }

    .dropdownItem {
      margin-top: 0.5rem;
      border-radius: 0;
      color: black;
    }

    .dropdownItem:last-child {
      margin-bottom: 0.5rem;
    }
  }
}

.userTopCard {
  border-radius: 0;

  &.hover {
    background-color: var(--background_hover);
  }

  &.open {
    background-color: var(--background_hover);
  }

  .chevron {
    color: lightgray;
    transform: rotate(0deg);
    transition: transform 100ms ease-in-out;

    &.open {
      transform: rotate(90deg);
      transition: transform 100ms ease-in-out;
    }
  }
}


